@echo off
rem do_rec1.bat

rem if the command line is:    do_rec input output_root
rem complex.wav is filtered to complex.flt etc

rem check there are 3 arguments, ip file & op file root & correction filter file

if "%1" == "" goto params
if "%2" == "" goto params
if "%3" == "" goto params

rem do tranfer function
fir_corr -i %1 -o %1.cor -f %3
if not errorlevel 0 goto end

widefilt -i %1.cor -o %2.flt
del %1.cor
if not errorlevel 0 goto end

f_align -i %2.flt -o %2.al
del %2.flt
if not errorlevel 0 goto end

recruit -i %2.al -o %2.r2x -n n.r2
if not errorlevel 0 goto end
del %2.al

rem do inverse tranfer function correction
fir_corr -i %1.r2x -o %1.r2 -f I%3
del %1.r2x
if not errorlevel 0 goto end

goto end

:params
echo "use: do_rec1.bat input_file output_file_root corr_filter_file"

:end
