/* hilbert.c perform Hilbert transform */
/*B.R.Glasberg Exp. Psych. 1993-1995 */
/* first unpack the results of realft into the whole of data 1 - real, 2 - imag */
#include "crecruit.h"

void hil_ph(float *data)
{
	int i;
	float temp;

	for( i = 3; i < (long) maxfftpts ; i += 2){
		temp      = data[i+1];
		data[i+1] = data[i];
		data[i]   = -temp;
	}
	data[1] = data[2] = 0.0;  /* no DC */
}
