/* int2real.c */
/* moves input waveform from i2wave|(48000 pts) to the middle of wave
 Then copies to data, this is in the form needed for realft()        */

#include "crecruit.h"

void  int_to_real(float* wave,float* data,short* i2wave,float scale_factor)
{

  long i;
  for( i = 1; i <= maxfftpts ; i++) wave[i] = 0.0;

   for( i = 1; i <= npts; i++) wave[i + offset] = i2wave[i];

/* sinusoid would have an envelope as a straight line at +1.
 this normalises the input wave as though it were 20log(???)+100db
 down to 100 dB where recruitment gives an equal unprocessed (input)
 and output (processed) level.
*/
	for( i = 1; i <= maxfftpts; i++){
	  wave[i] /= scale_factor;
	  data[i] = wave[i];
	}
}
