/* proto.h */

void err_rpt(char *);
void sendhelp(void);
short *set_rd_ptr(short);
long rd_biquad_file(FILE *,struct Biquad *coeffts,long);
long wr_biquad_file(FILE *,struct Biquad *coeffts,long);
void error(char* s1, char *s2);
long readnextsect(FILE *fp, short *frame);

void calculate_filter_data(struct Biquad *coeffts, int rcd);
void calc_hp_coeffts(struct Hpbessel *coeffts);
void intlse_filter_states(Filter_State *vect);

void zero_array(float *elemnt, long howmany);
void convert_to_float(short *input, float *output, long howmany);
void convert_to_short(float *input, short *output, long howmany);
void error1(char *msg);
void set_activity_filter();
void calc_hp_coeffts(struct Hpbessel *coeffts);

/* filter.c routine */
void aud_filt_bank(float* inp, float* outp, long numb);

float Erb(float f);
float ErbScale(float f);
float FofErbScale(float E);

int  cmplxdiv(complex* a, complex* b, complex* c);
void cmplxadd(complex* a, complex* b, complex* c);
void cmplxsubt(complex* a, complex* b, complex* c);
void cmplxmult(complex* a, complex* b, complex* c);
void cmplxmag(complex* a, complex* b);
void cmplxmove(complex* a, complex* b);
