/* swapbytes.c: 'Noddy' program to swap byte order in file of 16 bit integers */
/* useful when going from UNIX to DOS machines and vice-versa */
#include <stdlib.h>
#include <stdio.h>
#include <malloc.h>
/* for TurboC #include <alloc.h>  */
#define BUFZ 4096
#define SHORTS 2

void main(int argc,char **argv){
FILE *fp_in, *fp_out;
short *buffer, *swapped;
unsigned nitems;

	if(argc != 3) {printf("usage: %s input_file output_file\n",argv[0]);exit(1);}

	if (( fp_in = fopen (argv[1], "rb")) == NULL){
		fprintf(stderr," error opening input file %s\n",argv[1]); exit(1);}

	if (( fp_out = fopen (argv[2], "wb")) == NULL){
		fprintf(stderr," error opening output file %s\n",argv[2]); exit(1);}
	buffer  = (short *) malloc(BUFZ*sizeof(short));
	swapped = (short *) malloc(BUFZ*sizeof(short));
	while ((nitems = fread( (char *) buffer, SHORTS , BUFZ, fp_in)) > 0 ) {
    swab((char *)buffer, (char *)swapped, SHORTS*BUFZ);
    fwrite( (char *) swapped, nitems , SHORTS, fp_out);
    }
free(buffer); free(swapped);
}
